.overlay {
    position:fixed;
    display:block;
    width:100%;
    height:100%;
    top:0;
    left:0;
    background-color:rgba(74,74,74,.8);
    z-index:99999;
    
  }
  .spinner {
    position:absolute;
    top: 45%;
    left: 45%;
    transform: translate(-50%,-50%);
    color:#000 !important;
    stroke: #000!important;
  }

  :host ::ng-deep .mat-progress-spinner circle, .mat-spinner circle {   
    stroke: #000;
}
@media only screen and (max-width: 768px)  {
  .spinner {
    left: 30%;
  }
}